From 05600695054d8817fa2a7ef5427962edaa016707 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sun, 15 Jun 2025 12:07:33 +0000
Subject: [PATCH] linux-firmware: upgrade 20250509 -> 20250613

---
 ...20250509.bb => linux-firmware_20250613.bb} | 713 +++++++++++++++++-
 1 file changed, 710 insertions(+), 3 deletions(-)
 rename meta/recipes-kernel/linux-firmware/{linux-firmware_20250509.bb => linux-firmware_20250613.bb} (79%)

diff --git a/meta/recipes-kernel/linux-firmware/linux-firmware_20250509.bb b/meta/recipes-kernel/linux-firmware/linux-firmware_20250613.bb
similarity index 79%
rename from meta/recipes-kernel/linux-firmware/linux-firmware_20250509.bb
rename to meta/recipes-kernel/linux-firmware/linux-firmware_20250613.bb
index 3883f71781..1261ecb1d1 100644
--- a/meta/recipes-kernel/linux-firmware/linux-firmware_20250509.bb
+++ b/meta/recipes-kernel/linux-firmware/linux-firmware_20250613.bb
@@ -1,3 +1,710 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENCE.cnm
+# +++ LICENCE.cnm
+# @@ -1,23 +1,43 @@
+#  Copyright (C) 2021 Chips&Media, Inc.
+#  All rights reserved.
+#  
+# -Redistribution and use in binary form is permitted provided that the following
+# +Redistribution and use in binary form are permitted provided that the following
+#  conditions are met:
+#  
+#  1. Redistributions must reproduce the above copyright notice, this list of
+#  conditions and the following disclaimer in the documentation and/or other
+#  materials provided with the distribution.
+#  
+# -2. Redistribution and use shall be used only with Texas Instruments Incorporateds
+# -silicon products. Any other use, reproduction, modification, translation,
+# -or compilation of the Software is prohibited.
+# +2. Use of the following software binaries shall be strictly limited as
+# +specified below:
+# +
+# +  2.1 Solely for use with Texas Instruments Incorporated's silicon products:
+# +    * wave521c_k3_codec_fw.bin
+# +
+# +  2.2 Solely for use with NXP's silicon products:
+# +    * wave633c_imx9_codec_fw.bin
+# +
+# +Any other use, reproduction, modification, translation, or compilation of the
+# +Software is prohibited.
+#  
+#  3. No reverse engineering, decompilation, or disassembly is permitted.
+# +
+# +4. Neither the name of Chips&Media, Inc. nor the names of its suppliers may be
+# +used to endorse or promote products derived from this software without specific
+# +prior written permission.
+#  
+#  TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THIS SOFTWARE IS PROVIDED
+#  "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING, WITHOUT LIMITATION, ANY EXPRESS
+#  OR IMPLIED WARRANTIES OF MERCHANTABILITY, ACCURACY, FITNESS OR SUFFICIENCY FOR A
+#  PARTICULAR PURPOSE, SATISFACTORY QUALITY, CORRESPONDENCE WITH DESCRIPTION, QUIET
+#  ENJOYMENT OR NON-INFRINGEMENT OF THIRD PARTY INTELLECTUAL PROPERTY RIGHTS.
+# -CHIPS&MEDIA, INC., ITS AFFILIATES AND THEIR SUPPLIERS DISCLAIM ANY WARRANTY THAT THE
+# -DELIVERABLES WILL OPERATE WITHOUT INTERRUPTION OR BE ERROR-FREE.
+# +CHIPS&MEDIA, INC., ITS AFFILIATES AND THEIR SUPPLIERS DISCLAIM ANY WARRANTY THAT
+# +THE DELIVERABLES WILL OPERATE WITHOUT INTERRUPTION OR BE ERROR-FREE.
+# +
+# +IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
+# +INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
+# +BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# +DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# +LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+# +OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# +ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# --- WHENCE
+# +++ WHENCE
+# @@ -805,7 +805,7 @@
+#  Version: 17.bfb58538.0
+#  
+#  File: iwlwifi-7265D-29.ucode
+# -Version: 29.f2390aa8.0
+# +Version: 29.9ef079ed.0
+#  
+#  File: iwlwifi-3168-29.ucode
+#  Version: 29.0bd893f3.0
+# @@ -814,13 +814,13 @@
+#  Version: 34.610288.0
+#  
+#  File: iwlwifi-8000C-36.ucode
+# -Version: 36.ca7b901d.0
+# +Version: 36.c8e8e144.0
+#  
+#  File: iwlwifi-8265-34.ucode
+#  Version: 34.610288.0
+#  
+#  File: iwlwifi-8265-36.ucode
+# -Version: 36.ca7b901d.0
+# +Version: 36.c8e8e144.0
+#  
+#  File: iwlwifi-9000-pu-b0-jf-b0-34.ucode
+#  Version: 34.ba501b11.0
+# @@ -1022,25 +1022,25 @@
+#  Version: 74.a5e9588b.0
+#  
+#  File: iwlwifi-cc-a0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-Qu-b0-hr-b0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-Qu-b0-jf-b0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-Qu-c0-hr-b0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-Qu-c0-jf-b0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-QuZ-a0-hr-b0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-QuZ-a0-jf-b0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-ty-a0-gf-a0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1064,7 +1064,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ty-a0-gf-a0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  File: iwlwifi-so-a0-gf4-a0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1088,7 +1088,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-so-a0-gf4-a0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  File: iwlwifi-so-a0-gf-a0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1112,7 +1112,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-so-a0-gf-a0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  File: iwlwifi-so-a0-hr-b0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1133,7 +1133,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-so-a0-hr-b0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  File: iwlwifi-so-a0-jf-b0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1218,7 +1218,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ma-b0-gf-a0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  File: iwlwifi-ma-b0-gf-a0.pnvm
+#  
+# @@ -1229,7 +1229,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ma-b0-gf4-a0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  File: iwlwifi-ma-b0-gf4-a0.pnvm
+#  
+# @@ -1240,7 +1240,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ma-b0-hr-b0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  Licence: Redistributable. See LICENCE.iwlwifi_firmware for details
+#  
+# @@ -1287,6 +1287,17 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# +Driver: intel-ipu7-isys - Intel IPU7 (Image Processing Unit 7) driver
+# +
+# +File: intel/ipu/ipu7_fw.bin
+# +Version: master_release_20240628_1854
+# +
+# +File: intel/ipu/ipu7ptl_fw.bin
+# +Version: master_release_20250515_1232
+# +
+# +Licence: Redistributable. See LICENSE.intel for details
+# +
+# +--------------------------------------------------------------------------
+#  Driver: mei-vsc-hw - Intel Visual Sensing Controller
+#  
+#  File: intel/vsc/ivsc_fw.bin
+# @@ -3053,6 +3064,7 @@
+#  Link: brcm/brcmfmac43430-sdio.sinovoip,bpi-m2-ultra.txt -> brcmfmac43430-sdio.AP6212.txt
+#  Link: brcm/brcmfmac43430-sdio.sinovoip,bpi-m3.txt -> brcmfmac43430-sdio.AP6212.txt
+#  Link: brcm/brcmfmac43430-sdio.sinovoip,bananapi-m64.txt -> brcmfmac43430-sdio.AP6212.txt
+# +Link: brcm/brcmfmac43430-sdio.friendlyarm,nanopi-neo4.txt -> brcmfmac43430-sdio.AP6212.txt
+#  Link: brcm/brcmfmac43430-sdio.friendlyarm,nanopi-r1.txt -> brcmfmac43430-sdio.AP6212.txt
+#  Link: brcm/brcmfmac43430-sdio.starfive,visionfive-v1.txt -> brcmfmac43430-sdio.AP6212.txt
+#  Link: brcm/brcmfmac43430-sdio.beagle,beaglev-starlight-jh7100-a1.txt -> brcmfmac43430-sdio.AP6212.txt
+# @@ -3081,10 +3093,12 @@
+#  File: brcm/brcmfmac4356-sdio.AP6356S.txt
+#  Link: brcm/brcmfmac4356-sdio.firefly,firefly-rk3399.txt -> brcmfmac4356-sdio.AP6356S.txt
+#  Link: brcm/brcmfmac4356-sdio.friendlyarm,nanopi-m4.txt -> brcmfmac4356-sdio.AP6356S.txt
+# +Link: brcm/brcmfmac4356-sdio.friendlyarm,nanopc-t4.txt -> brcmfmac4356-sdio.AP6356S.txt
+#  Link: brcm/brcmfmac4356-sdio.khadas,vim2.txt -> brcmfmac4356-sdio.AP6356S.txt
+#  Link: brcm/brcmfmac4356-sdio.vamrs,rock960.txt -> brcmfmac4356-sdio.AP6356S.txt
+#  File: brcm/brcmfmac43455-sdio.AW-CM256SM.txt
+#  Link: brcm/brcmfmac43455-sdio.beagle,am5729-beagleboneai.txt -> brcmfmac43455-sdio.AW-CM256SM.txt
+# +Link: brcm/brcmfmac43455-sdio.brcmfmac43455-sdio.khadas,vim.txt -> brcmfmac43455-sdio.AW-CM256SM.txt
+#  Link: brcm/brcmfmac43455-sdio.pine64,pinebook-pro.txt -> brcmfmac43455-sdio.AW-CM256SM.txt
+#  Link: brcm/brcmfmac43455-sdio.pine64,pinenote-v1.1.txt -> brcmfmac43455-sdio.AW-CM256SM.txt
+#  Link: brcm/brcmfmac43455-sdio.pine64,pinenote-v1.2.txt -> brcmfmac43455-sdio.AW-CM256SM.txt
+# @@ -3630,6 +3644,9 @@
+#  Version: 0.0.4
+#  
+#  File: rtl_nic/rtl8126a-3.fw
+# +Version: 0.0.5
+# +
+# +File: rtl_nic/rtl8127a-1.fw
+#  Version: 0.0.5
+#  
+#  Licence:
+# @@ -3958,7 +3975,7 @@
+#  File: ath12k/WCN7850/hw2.0/board-2.bin
+#  File: ath12k/WCN7850/hw2.0/amss.bin
+#  File: ath12k/WCN7850/hw2.0/m3.bin
+# -Version: WLAN.HMT.1.1.c5-00284-QCAHMTSWPL_V1.0_V2.0_SILICONZ-3
+# +Version: WLAN.HMT.1.1.c5-00284.1-QCAHMTSWPL_V1.0_V2.0_SILICONZ-3
+#  File: ath12k/WCN7850/hw2.0/Notice.txt
+#  File: ath12k/QCN9274/hw2.0/board-2.bin
+#  File: ath12k/QCN9274/hw2.0/firmware-2.bin
+# @@ -4140,7 +4157,7 @@
+#  File: intel/ibt-18-16-1.ddc
+#  File: intel/ibt-18-2.sfi
+#  File: intel/ibt-18-2.ddc
+# -Version: BT_Pulsar_REL20425_22.20.2412.20425
+# +Version: BT_Pulsar_REL20451_22.20.2433.20451
+#  
+#  File: intel/ibt-17-0-1.sfi
+#  Version: BT_JeffersonPeak_A0_B0_REL0201
+# @@ -4172,45 +4189,45 @@
+#  File: intel/ibt-20-1-4.ddc
+#  Version: BT_CyclonePeak_A0_REL53636
+#  File: intel/ibt-19-0-0.sfi
+# -Version: BT_Quasar_REL53497
+# +Version: BT_Quasar_REL53697
+#  File: intel/ibt-19-0-0.ddc
+# -Version: BT_Quasar_REL53497
+# +Version: BT_Quasar_REL53697
+#  File: intel/ibt-19-0-1.sfi
+# -Version: BT_Quasar_REL53497
+# +Version: BT_Quasar_REL53697
+#  File: intel/ibt-19-0-1.ddc
+# -Version: BT_Quasar_REL53497
+# +Version: BT_Quasar_REL53697
+#  File: intel/ibt-19-0-3.sfi
+# -Version: BT_Quasar_REL53263
+# +Version: BT_Quasar_REL53697
+#  File: intel/ibt-19-0-3.ddc
+# -Version: BT_Quasar_REL53263
+# +Version: BT_Quasar_REL53697
+#  File: intel/ibt-19-0-4.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-0-4.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-16-4.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-16-4.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-32-1.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-32-1.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-32-0.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-32-0.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-32-4.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-32-4.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-240-1.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-240-1.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-240-4.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-240-4.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  
+#  File: intel/ibt-0041-0041.sfi
+#  File: intel/ibt-0041-0041.ddc
+# @@ -4226,7 +4243,7 @@
+#  File: intel/ibt-0040-1050.ddc
+#  File: intel/ibt-1040-1050.sfi
+#  File: intel/ibt-1040-1050.ddc
+# -Version: BT_Solar_REL81864_23.50.24483.81864
+# +Version: BT_Solar_REL82008_23.50.25133.82008
+#  
+#  File: intel/ibt-0040-1020.sfi
+#  File: intel/ibt-0040-1020.ddc
+# @@ -4248,7 +4265,7 @@
+#  File: intel/ibt-0093-4150.ddc
+#  File: intel/ibt-0093-1050.sfi
+#  File: intel/ibt-0093-1050.ddc
+# -Version: BT_BlazarU_S_REL76693_23.120.25071.76693
+# +Version: BT_BlazarU_S_REL82313_23.140.25182.82313
+#  
+#  File: intel/ibt-0180-0041.sfi
+#  File: intel/ibt-0180-0041.ddc
+# @@ -4256,7 +4273,7 @@
+#  File: intel/ibt-0180-4150.ddc
+#  File: intel/ibt-0180-1050.sfi
+#  File: intel/ibt-0180-1050.ddc
+# -Version: BT_Magnetar_REL103604_23.50.24483.103604
+# +Version: BT_Magnetar_REL103831_23.50.25133.103831
+#  
+#  File: intel/ibt-0190-0291.sfi
+#  File: intel/ibt-0190-0291-iml.sfi
+# @@ -4272,7 +4289,7 @@
+#  File: intel/ibt-0190-0291-pci.sfi
+#  File: intel/ibt-0190-0291-usb.ddc
+#  File: intel/ibt-0190-0291-usb.sfi
+# -Version: BT_BlazarI_S_REL82746_23.120.25071.82746
+# +Version: BT_BlazarI_S_REL90142_23.140.25182.90142
+#  
+#  Licence: Redistributable. See LICENCE.ibt_firmware for details
+#  
+# @@ -4810,7 +4827,7 @@
+#  Version: BTFW.HSP.2.1.0-00653-VER_PATCHZ-3
+#  File: qca/QCA2066/nvm_usb_00130201_030a.bin
+#  File: qca/QCA2066/nvm_usb_00130201_gf_030a.bin
+# -Version: BTFW.HAMILTON.2.0.0-00790-USB_PATCHZ-3
+# +Version: BTFW.HAMILTON.2.0.0-00799-USB_PATCHZ-5
+#  File: qca/nvm_usb_00190200.bin
+#  File: qca/nvm_usb_00190200_0104.bin
+#  File: qca/nvm_usb_00190200_0106.bin
+# @@ -5345,7 +5362,7 @@
+#  Version: GuC API/APB ver 70.4.1 for DG2
+#  
+#  File: i915/dg2_guc_70.bin
+# -Version: GuC API/APB ver 70.44.1 for DG2
+# +Version: GuC API/APB ver 70.45.2 for DG2
+#  
+#  File: i915/dg2_huc_gsc.bin
+#  Version: HuC API/APB ver 7.10.16 for DG2
+# @@ -5389,16 +5406,16 @@
+#  Driver: xe -- Intel Graphics driver
+#  
+#  File: xe/lnl_gsc_1.bin
+# -Version: GSC API/APB v1.0, release 104.0.0.1263, SVN 1 for Lunarlake
+# +Version: GSC API/APB v1.0, release 104.0.5.1429, SVN 1 for Lunarlake
+#  
+#  File: xe/lnl_guc_70.bin
+# -Version: GuC API/APB ver 70.44.1 for Lunarlake
+# +Version: GuC API/APB ver 70.45.2 for Lunarlake
+#  
+#  File: xe/lnl_huc.bin
+#  Version: HuC API/APB ver 9.4.13 for Lunarlake
+#  
+#  File: xe/bmg_guc_70.bin
+# -Version: GuC API/APB ver 70.44.1 for Battlemage
+# +Version: GuC API/APB ver 70.45.2 for Battlemage
+#  
+#  File: xe/bmg_huc.bin
+#  Version: HuC API/APB ver 8.2.10 for Battlemage
+# @@ -5825,34 +5842,64 @@
+#  File: nvidia/tu102/gsp/bootloader-535.113.01.bin
+#  File: nvidia/tu102/gsp/booter_load-535.113.01.bin
+#  File: nvidia/tu102/gsp/booter_unload-535.113.01.bin
+# +File: nvidia/tu102/gsp/bootloader-570.144.bin
+# +File: nvidia/tu102/gsp/booter_load-570.144.bin
+# +File: nvidia/tu102/gsp/booter_unload-570.144.bin
+#  Link: nvidia/tu104/gsp -> ../tu102/gsp
+#  Link: nvidia/tu106/gsp -> ../tu102/gsp
+#  
+#  File: nvidia/tu116/gsp/booter_load-535.113.01.bin
+#  File: nvidia/tu116/gsp/booter_unload-535.113.01.bin
+#  Link: nvidia/tu116/gsp/bootloader-535.113.01.bin -> ../../tu102/gsp/bootloader-535.113.01.bin
+# +File: nvidia/tu116/gsp/booter_load-570.144.bin
+# +File: nvidia/tu116/gsp/booter_unload-570.144.bin
+# +Link: nvidia/tu116/gsp/bootloader-570.144.bin -> ../../tu102/gsp/bootloader-570.144.bin
+#  Link: nvidia/tu117/gsp -> ../tu116/gsp
+#  
+#  File: nvidia/ga100/gsp/bootloader-535.113.01.bin
+#  File: nvidia/ga100/gsp/booter_load-535.113.01.bin
+#  File: nvidia/ga100/gsp/booter_unload-535.113.01.bin
+# -
+# -File: nvidia/ad102/gsp/bootloader-535.113.01.bin
+# -File: nvidia/ad102/gsp/booter_load-535.113.01.bin
+# -File: nvidia/ad102/gsp/booter_unload-535.113.01.bin
+# -Link: nvidia/ad103/gsp -> ../ad102/gsp
+# -Link: nvidia/ad104/gsp -> ../ad102/gsp
+# -Link: nvidia/ad106/gsp -> ../ad102/gsp
+# -Link: nvidia/ad107/gsp -> ../ad102/gsp
+# +File: nvidia/ga100/gsp/bootloader-570.144.bin
+# +File: nvidia/ga100/gsp/booter_load-570.144.bin
+# +File: nvidia/ga100/gsp/booter_unload-570.144.bin
+#  
+#  File: nvidia/ga102/gsp/bootloader-535.113.01.bin
+#  File: nvidia/ga102/gsp/booter_load-535.113.01.bin
+#  File: nvidia/ga102/gsp/booter_unload-535.113.01.bin
+# +File: nvidia/ga102/gsp/bootloader-570.144.bin
+# +File: nvidia/ga102/gsp/booter_load-570.144.bin
+# +File: nvidia/ga102/gsp/booter_unload-570.144.bin
+#  Link: nvidia/ga103/gsp -> ../ga102/gsp
+#  Link: nvidia/ga104/gsp -> ../ga102/gsp
+#  Link: nvidia/ga106/gsp -> ../ga102/gsp
+#  Link: nvidia/ga107/gsp -> ../ga102/gsp
+#  
+# +File: nvidia/ad102/gsp/bootloader-535.113.01.bin
+# +File: nvidia/ad102/gsp/booter_load-535.113.01.bin
+# +File: nvidia/ad102/gsp/booter_unload-535.113.01.bin
+# +File: nvidia/ad102/gsp/bootloader-570.144.bin
+# +File: nvidia/ad102/gsp/booter_load-570.144.bin
+# +File: nvidia/ad102/gsp/booter_unload-570.144.bin
+# +File: nvidia/ad102/gsp/scrubber-570.144.bin
+# +Link: nvidia/ad103 -> ad102
+# +Link: nvidia/ad104 -> ad102
+# +Link: nvidia/ad106 -> ad102
+# +Link: nvidia/ad107 -> ad102
+# +
+# +File: nvidia/gh100/gsp/bootloader-570.144.bin
+# +File: nvidia/gh100/gsp/fmc-570.144.bin
+# +
+# +File: nvidia/gb100/gsp/bootloader-570.144.bin
+# +File: nvidia/gb100/gsp/fmc-570.144.bin
+# +Link: nvidia/gb102 -> gb100
+# +
+# +File: nvidia/gb202/gsp/bootloader-570.144.bin
+# +File: nvidia/gb202/gsp/fmc-570.144.bin
+# +Link: nvidia/gb203 -> gb202
+# +Link: nvidia/gb205 -> gb202
+# +Link: nvidia/gb206 -> gb202
+# +Link: nvidia/gb207 -> gb202
+# +
+#  File: nvidia/tu102/gsp/gsp-535.113.01.bin
+#  Origin: gsp_tu10x.bin from NVIDIA-Linux-x86_64-535.113.01.run
+#  Link: nvidia/tu116/gsp/gsp-535.113.01.bin -> ../../tu102/gsp/gsp-535.113.01.bin
+# @@ -5862,6 +5909,17 @@
+#  Origin: gsp_ga10x.bin from NVIDIA-Linux-x86_64-535.113.01.run
+#  Link: nvidia/ad102/gsp/gsp-535.113.01.bin -> ../../ga102/gsp/gsp-535.113.01.bin
+#  
+# +File: nvidia/tu102/gsp/gsp-570.144.bin
+# +Origin: gsp_tu10x.bin from NVIDIA-Linux-x86_64-570.144.run
+# +Link: nvidia/tu116/gsp/gsp-570.144.bin -> ../../tu102/gsp/gsp-570.144.bin
+# +Link: nvidia/ga100/gsp/gsp-570.144.bin -> ../../tu102/gsp/gsp-570.144.bin
+# +
+# +File: nvidia/ga102/gsp/gsp-570.144.bin
+# +Origin: gsp_ga10x.bin from NVIDIA-Linux-x86_64-570.144.run
+# +Link: nvidia/ad102/gsp/gsp-570.144.bin -> ../../ga102/gsp/gsp-570.144.bin
+# +Link: nvidia/gh100/gsp/gsp-570.144.bin -> ../../ga102/gsp/gsp-570.144.bin
+# +Link: nvidia/gb100/gsp/gsp-570.144.bin -> ../../ga102/gsp/gsp-570.144.bin
+# +Link: nvidia/gb202/gsp/gsp-570.144.bin -> ../../ga102/gsp/gsp-570.144.bin
+#  Licence: Redistributable. See LICENCE.nvidia for details
+#  
+#  --------------------------------------------------------------------------
+# @@ -5921,6 +5979,15 @@
+#  File: mediatek/mt8173/vpu_p.bin
+#  Link: vpu_d.bin -> mediatek/mt8173/vpu_d.bin
+#  Link: vpu_p.bin -> mediatek/mt8173/vpu_p.bin
+# +
+# +Licence: Redistributable. See LICENCE.mediatek for details.
+# +
+# +--------------------------------------------------------------------------
+# +
+# +Driver: mt8196 - MediaTek MT8196 Video Controller Processor
+# +
+# +File: mediatek/mt8196/vcp.img
+# +Version: v1.0.0
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6119,9 +6186,9 @@
+#  Driver: mt7921 - MediaTek MT7921 Wireless MACs
+#  
+#  File: mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
+# -Version: 20241106151007a
+# +Version: 20250523110946a
+#  File: mediatek/WIFI_RAM_CODE_MT7961_1.bin
+# -Version: 20241106150855
+# +Version: 20250523110807
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6130,7 +6197,7 @@
+#  Driver: mt7921 - MediaTek MT7921 bluetooth chipset
+#  
+#  File: mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin
+# -Version: 20241106151414
+# +Version: 20250523111333
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6139,9 +6206,9 @@
+#  Driver: mt7922 - MediaTek MT7922 Wireless MACs
+#  
+#  File: mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
+# -Version: 20241106163228a
+# +Version: 20250523103150a
+#  File: mediatek/WIFI_RAM_CODE_MT7922_1.bin
+# -Version: 20241106163156
+# +Version: 20250523103106
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6150,7 +6217,7 @@
+#  Driver: mt7922 - MediaTek MT7922 bluetooth chipset
+#  
+#  File: mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin
+# -Version: 20241106163512
+# +Version: 20250523103438
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6159,9 +6226,9 @@
+#  Driver: mt7925 - MediaTek MT7925 Wireless MACs
+#  
+#  File: mediatek/mt7925/WIFI_MT7925_PATCH_MCU_1_1_hdr.bin
+# -Version: 20250425072955a
+# +Version: 20250526152947a
+#  File: mediatek/mt7925/WIFI_RAM_CODE_MT7925_1_1.bin
+# -Version: 20250425072801
+# +Version: 20250526152808
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6170,7 +6237,7 @@
+#  Driver: mt7925 - MediaTek MT7925 bluetooth chipset
+#  
+#  File: mediatek/mt7925/BT_RAM_CODE_MT7925_1_1_hdr.bin
+# -Version: 20250425073330
+# +Version: 20250526153203
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6588,11 +6655,13 @@
+#  RawFile: qcom/sc8280xp/LENOVO/21BX/battmgr.jsn
+#  RawFile: qcom/sc8280xp/LENOVO/21BX/cdspr.jsn
+#  File: qcom/sc8280xp/LENOVO/21BX/qcadsp8280.mbn
+# -Version: ADSP.HT.5.6-00729-MAKENA-1
+# +Version: ADSP.HT.5.6.c2-00013-MAKENA-1.75542.4
+#  File: qcom/sc8280xp/LENOVO/21BX/qccdsp8280.mbn
+# -Version: CDSP.HT.2.6-00698-MAKENA-1
+# +Version: CDSP.HT.2.6-00735.4-MAKENA-1
+#  File: qcom/sc8280xp/LENOVO/21BX/qcslpi8280.mbn
+# -Version: SLPI.HY.4.1-00048-MAKENA-1
+# +Version: SLPI.HY.4.1-00061-MAKENA-1
+# +File: qcom/sc8280xp/LENOVO/21BX/qcvss8280.mbn
+# +Version: video-firmware.1.1-b158087140355883dc40b004032856a8feb5d565
+#  File: qcom/x1e80100/LENOVO/21N1/qcvss8380.mbn
+#  Version: vfw-3.1:rel0085-070fa3311d9ef968015fee7fea07198d7eb208a1
+#  File: qcom/x1e80100/adsp.mbn
+# @@ -6865,14 +6934,14 @@
+#  
+#  Driver: ice - Intel(R) Ethernet Connection E800 Series
+#  
+# -File: intel/ice/ddp/ice-1.3.41.0.pkg
+# -Link: intel/ice/ddp/ice.pkg -> ice-1.3.41.0.pkg
+# +File: intel/ice/ddp/ice-1.3.43.0.pkg
+# +Link: intel/ice/ddp/ice.pkg -> ice-1.3.43.0.pkg
+#  File: intel/ice/ddp-lag/ice_lag-1.3.1.0.pkg
+#  
+#  License: Redistributable. See LICENSE.ice for details
+#  
+# -File: intel/ice/ddp-comms/ice_comms-1.3.52.0.pkg
+# -File: intel/ice/ddp-wireless_edge/ice_wireless_edge-1.3.20.0.pkg
+# +File: intel/ice/ddp-comms/ice_comms-1.3.55.0.pkg
+# +File: intel/ice/ddp-wireless_edge/ice_wireless_edge-1.3.23.0.pkg
+#  
+#  License: Redistributable. See LICENSE.ice_enhanced for details
+#  
+# @@ -6934,9 +7003,17 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: wave5 - Chips&Media, Inc. video codec driver
+# +Driver: wave5 - Chips&Media, Inc. Wave5 video codec driver
+#  
+#  File: cnm/wave521c_k3_codec_fw.bin
+# +
+# +Licence: Redistributable. See LICENCE.cnm for details.
+# +
+# +--------------------------------------------------------------------------
+# +
+# +Driver: wave6 - Chips&Media, Inc. Wave6 video codec driver
+# +
+# +File: cnm/wave633c_imx9_codec_fw.bin
+#  
+#  Licence: Redistributable. See LICENCE.cnm for details.
+#  
+# @@ -7458,11 +7535,11 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10431d1f-spkid1-l0.bin -> cs35l41-dsp1-spk-prot-10431503-spkid1-l0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10431d1f-spkid1-r0.bin -> cs35l41-dsp1-spk-prot-10431503-spkid1-r0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10431b93.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10431a20.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10431a30.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10431a40.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10431a50.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10431a60.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433a20.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433a30.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433a40.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433a50.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433a60.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+#  File: cirrus/cs35l41-dsp1-spk-prot-10431b93-spkid0-l0.bin
+#  File: cirrus/cs35l41-dsp1-spk-prot-10431b93-spkid0-r0.bin
+#  File: cirrus/cs35l41-dsp1-spk-prot-10431b93-spkid1-l0.bin
+# @@ -7667,6 +7744,9 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid0-r0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid1-l0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid1-r0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# +Link: cirrus/cs35l41-dsp1-spk-prot-104388f4.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +File: cirrus/cs35l41-dsp1-spk-prot-104388f4-spkid0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-104388f4-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-17aa2316.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-17aa2317.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+#  File: cirrus/cs35l41-dsp1-spk-prot-17aa2316-spkid0-l0.bin
+# @@ -7861,11 +7941,26 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8cdf-spkid1-r0.bin -> cs35l41-dsp1-spk-prot-103c8cdf-spkid1-l0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8ce0-spkid1-l0.bin -> cs35l41-dsp1-spk-prot-103c8cdf-spkid1-l0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8ce0-spkid1-r0.bin -> cs35l41-dsp1-spk-prot-103c8cdf-spkid1-l0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e3a.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e3b.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +File: cirrus/cs35l41-dsp1-spk-prot-103c8e3a-spkid0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-103c8e3a-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e3b-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8e3a-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e3b-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8e3a-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-1f660105.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  File: cirrus/cs35l41-dsp1-spk-prot-1f660105.bin
+#  File: cirrus/cs35l41/v6.51.0/halo_cspl_RAM_revB2_29.53.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-vlv1776.wmfw -> cs35l41/v6.51.0/halo_cspl_RAM_revB2_29.53.0.wmfw
+#  File: cirrus/cs35l41-dsp1-spk-prot-vlv1776.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-1025182c.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10251826.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10251844.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +File: cirrus/cs35l41-dsp1-spk-prot-1025182c-l0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-1025182c-r0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10251826-l0.bin -> cs35l41-dsp1-spk-prot-1025182c-l0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10251826-r0.bin -> cs35l41-dsp1-spk-prot-1025182c-r0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-10251844-l0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-10251844-r0.bin
+#  
+#  License: Redistributable. See LICENSE.cirrus for details.
+#  
+# @@ -8289,6 +8384,9 @@
+#  File: powervr/rogue_33.15.11.3_v1.fw
+#  Version: 1.0.OS@6503725
+#  
+# +File: powervr/rogue_36.53.104.796_v1.fw
+# +Version: 1.0.OS@6734358
+# +
+#  License: Redistributable. See LICENSE.powervr for details
+#  
+#  --------------------------------------------------------------------------
+# @@ -8543,11 +8641,11 @@
+#  Driver: intel_vpu -- Intel NPU driver
+#  
+#  File: intel/vpu/vpu_37xx_v1.bin
+# -Version: ci_tag_ud202512_vpu_rc_20250306_1130
+# +Version: ci_tag_ud202518_vpu_rc_20250415_1900
+#  Link: intel/vpu/vpu_37xx_v0.0.bin -> vpu_37xx_v1.bin
+#  
+#  File: intel/vpu/vpu_40xx_v1.bin
+# -Version: ci_tag_ud202512_vpu_rc_20250306_1130
+# +Version: ci_tag_ud202518_vpu_rc_20250415_1900
+#  Link: intel/vpu/vpu_40xx_v0.0.bin -> vpu_40xx_v1.bin
+#  
+#  License: Redistributable. See LICENSE.intel_vpu for details
+# @@ -8563,7 +8661,9 @@
+#  
+#  ---------------------------------------------------------------------------
+#  
+# -Driver: qcs9100 - Qualcomm QUPv3 firmware image file
+# +Driver: qcom-geni-se - Qualcomm QUPv3 firmware image file
+#  File: qcom/sa8775p/qupv3fw.elf
+# +File: qcom/qcm6490/qupv3fw.elf
+# +File: qcom/qcs8300/qupv3fw.elf
+#  
+#  License: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+# 
+#
+
 SUMMARY = "Firmware files for use with Linux kernel"
 HOMEPAGE = "https://www.kernel.org/"
 DESCRIPTION = "Linux firmware is a package distributed alongside the Linux kernel \
@@ -97,7 +804,7 @@ LIC_FILES_CHKSUM = "file://LICENCE.Abilis;md5=b5ee3f410780e56711ad48eadc22b8bc \
                     file://LICENCE.cavium;md5=c37aaffb1ebe5939b2580d073a95daea \
                     file://LICENCE.chelsio_firmware;md5=819aa8c3fa453f1b258ed8d168a9d903 \
                     file://LICENSE.cirrus;md5=662ea2c1a8888f7d79ed7f27c27472e1 \
-                    file://LICENCE.cnm;md5=93b67e6bac7f8fec22b96b8ad0a1a9d0 \
+                    file://LICENCE.cnm;md5=df3992006621b797e36de43f36336e36 \
                     file://LICENCE.cw1200;md5=f0f770864e7a8444a5c5aa9d12a3a7ed \
                     file://LICENCE.cypress;md5=48cd9436c763bf873961f9ed7b5c147b \
                     file://LICENSE.dib0700;md5=f7411825c8a555a1a3e5eab9ca773431 \
@@ -156,7 +863,7 @@ LIC_FILES_CHKSUM = "file://LICENCE.Abilis;md5=b5ee3f410780e56711ad48eadc22b8bc \
                     file://LICENCE.xc5000;md5=1e170c13175323c32c7f4d0998d53f66 \
                     file://LICENCE.xc5000c;md5=12b02efa3049db65d524aeb418dd87ca \
                     file://wfx/LICENCE.wf200;md5=4d1beff00d902c05c9c7e95a5d8eb52d \
-                    file://WHENCE;md5=${WHENCE_CHKSUM} \
+                    file://WHENCE;md5=131efa2b2bab317f52b081719225dd64 \
                     "
 # WHENCE checksum is defined separately to ease overriding it if
 # class-devupstream is selected.
@@ -250,7 +957,7 @@ SRC_URI:class-devupstream = "git://git.kernel.org/pub/scm/linux/kernel/git/firmw
 # Pin this to the 20220509 release, override this in local.conf
 SRCREV:class-devupstream ?= "b19cbdca78ab2adfd210c91be15a22568e8b8cae"
 
-SRC_URI[sha256sum] = "f2c60d66f226a28130cb5643e6e544d3229673460e127c91ba03f1080cbd703e"
+SRC_URI[sha256sum] = "d40743337ca8bf9d2587e220ab30dec6a07b52cc5cb4a4ff8d92be14391a7fde"
 
 inherit allarch
 
-- 
2.47.1

